# Class CIM_J2eeJMSConsumerStats
extends CIM_J2eeJMSEndpointStats

The CIM_J2eeJMSConsumerStats class defines the performance statistics that are provided by a JMS message consumer.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic
|
+--CIM_J2eeJMSEndpointStats
|
+--CIM_J2eeJMSConsumerStats

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_J2eeJMSConsumerStats class defines the performance statistics that are provided by a JMS message consumer.
UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Origin | string |
Description | string | A string that encapsulates the identity of the message origin.
MappingStrings | string | JSR77.JCP|JSR77.6.29.1.1 getOrigin|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
ExpiredMessageCount | uint64 | CIM_J2eeJMSEndpointStats
InstanceID | string | CIM_StatisticalData
MessageCount | uint64 | CIM_J2eeJMSEndpointStats
MessageWaitTime | datetime | CIM_J2eeJMSEndpointStats
MessageWaitTimeMaxTime | datetime | CIM_J2eeJMSEndpointStats
MessageWaitTimeMinTime | datetime | CIM_J2eeJMSEndpointStats
MessageWaitTimeTotalTime | datetime | CIM_J2eeJMSEndpointStats
PendingMessageCount | uint64 | CIM_J2eeJMSEndpointStats
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
GetLastSampleTime | uint64 | CIM_J2eeStatistic
GetStartTime | uint64 | CIM_J2eeStatistic
ResetSelectedStats | uint32 | CIM_StatisticalData